## org.gnu.glib
Class Value

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.glib.Value

public class Value
extends MemStruct

Value is a polymorphic type that can hold values of any other type. This is used internally and should not be exposed outside of the library.

Constructor Summary
`Value(org.gnu.glib.Handle aHandle)` Construct a new Value object using a handle to a native object.
`Value(Type type)` Construct a new Value from a given org.gnu.glib.Type.

Method Summary
`Value` `copy()` Create a copy of this Value object.
`boolean` `getBoolean()` Used internally by Java-Gnome
`Boxed` `getBoxed()`
`double` `getDouble()` Used internally by Java-Gnome
`double` `getFloat()` Used internally by Java-Gnome
`int` `getInt()` Used internally by Java-Gnome
`java.lang.Object` `getJavaObject()` Get the data held by this Value object.
`long` `getLong()` Used internally by Java-Gnome
`Pixbuf` `getPixbuf()` Used internally
`java.lang.String` `getString()` Used internally by Java-Gnome
`void` `setBoolean(boolean value)` Used internally by Java-Gnome to set a boolean value
`void` `setBoxed(Boxed value)`
`void` `setDouble(double value)` Used internally by Java-Gnome to set a double value
`void` `setFloat(float value)` Used internally by Java-Gnome to set a float value
`void` `setInteger(int value)` Used internally by Java-Gnome to set an integer value
`void` `setJavaObject(java.lang.Object obj)` Set the data held by this Value object with the given Object.
`void` `setLong(long value)` Used internally by Java-Gnome to set a long value
`void` `setPixbuf(Pixbuf obj)` Used internally by Java-Gnome
`void` `setString(java.lang.String value)` Used internally by Java-Gnome to set a string value

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Value

    public Value(Type type)

  Construct a new Value from a given org.gnu.glib.Type.

### Value

    public Value(org.gnu.glib.Handle aHandle)

  Construct a new Value object using a handle to a native object.

Parameters:
  `aHandle` - The handle

Method Detail

### copy

    public Value copy()

  Create a copy of this Value object.

  Returns:
    An object of type Value that contains the same data as the current object.

### setString

    public void setString(java.lang.String value)

  Used internally by Java-Gnome to set a string value

### getString

    public java.lang.String getString()

  Used internally by Java-Gnome

### setBoolean

    public void setBoolean(boolean value)

  Used internally by Java-Gnome to set a boolean value

### getBoolean

    public boolean getBoolean()

  Used internally by Java-Gnome

### setInteger

    public void setInteger(int value)

  Used internally by Java-Gnome to set an integer value

### getInt

    public int getInt()

  Used internally by Java-Gnome

### setLong

    public void setLong(long value)

  Used internally by Java-Gnome to set a long value

### getLong

    public long getLong()

  Used internally by Java-Gnome

### setFloat

    public void setFloat(float value)

  Used internally by Java-Gnome to set a float value

### getFloat

    public double getFloat()

  Used internally by Java-Gnome

### setDouble

    public void setDouble(double value)

  Used internally by Java-Gnome to set a double value

### getDouble

    public double getDouble()

  Used internally by Java-Gnome

### getBoxed

    public Boxed getBoxed()

### setBoxed

    public void setBoxed(Boxed value)

### setPixbuf

    public void setPixbuf(Pixbuf obj)

  Used internally by Java-Gnome

### getPixbuf

    public Pixbuf getPixbuf()

  Used internally

### setJavaObject

    public void setJavaObject(java.lang.Object obj)

  Set the data held by this Value object with the given Object. Objects will be set directly in the C GValue structure. Other "non-Glib" objects will also be kept locally in the Java object.

  NOTE: You probably don't want to use this directly. Prefer using a convenience method such as: `GObject.setJavaObjectProperty(java.lang.String, java.lang.Object)`.

  Parameters:
    `obj` - The object to set as the data value for this Value instance.

### getJavaObject

    public java.lang.Object getJavaObject()

  Get the data held by this Value object.

  NOTE: You probably don't want to use this directly. Prefer using a convenience method such as: `GObject.getJavaObjectProperty(java.lang.String)`.

  Returns:
    The data value held by this Value instance. If the data is held in the C GValue structure, the returned object is an instance of `Handle`. If the data is held locally in the Java object, that is returned, otherwise `null` is returned.